org.codehaus.plexus.component.composition

## Interface CompositionResolver

All Known Implementing Classes:
  DefaultCompositionResolver

    public interface CompositionResolver

Version:
  $Id: CompositionResolver.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl, Michal Maczka

### Method Summary

Methods
`void` `addComponentDescriptor(ComponentDescriptor componentDescriptor)`
`List` `findRequirements(String componentKey)` Returns the list of names of components which are using the component.
`List` `getRequirements(String componentKey)` Returns the list of names of components which are required by the component of given componentKey.

### Method Detail

#### addComponentDescriptor

    void addComponentDescriptor(ComponentDescriptor componentDescriptor)
                                throws CompositionException

Parameters:
  `componentDescriptor` -
Throws:
  `CompositionException` - when cycle is detected

#### getRequirements

    List getRequirements(String componentKey)

Returns the list of names of components which are required by the component of given componentKey.

Parameters:
  `componentKey` - The name of the component
Returns:
  The list of components which are required by given component

#### findRequirements

    List findRequirements(String componentKey)

Returns the list of names of components which are using the component. of given componentKey

Parameters:
  `componentKey` - The name of the component
Returns:
  The list of components which are requiring given component